CVE-2016-10165

NameCVE-2016-10165
DescriptionThe Type_MLU_Read function in cmstypes.c in Little CMS (aka lcms2) allows remote attackers to obtain sensitive information or cause a denial of service via an image with a crafted ICC profile, which triggers an out-of-bounds heap read.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-803-1, DSA-3774-1
NVD severitymedium (attack range: remote)
Debian Bugs852627

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
lcms2 (PTS)wheezy2.2+git20110628-2.2+deb7u1vulnerable
wheezy (security)2.2+git20110628-2.2+deb7u2fixed
jessie (security), jessie2.6-3+deb8u1fixed
buster, sid, stretch2.8-4fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
lcms2source(unstable)2.8-4medium852627
lcms2sourcejessie2.6-3+deb8u1mediumDSA-3774-1
lcms2sourcewheezy2.2+git20110628-2.2+deb7u2mediumDLA-803-1

Notes

https://bugzilla.redhat.com/show_bug.cgi?id=1367357
https://github.com/mm2/Little-CMS/commit/5ca71a7bc18b6897ab21d815d15e218e204581e2

Search for package or bug name: Reporting problems